curl --request GET \
--url https://api.example.com/api/v1/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"phone": "<string>",
"avatarUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contactInfo": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"entityName": "<string>",
"birthDate": "2023-12-25",
"birthCountry": "<string>",
"country": "<string>",
"jurisdiction": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"fiatRails": [],
"isBusiness": true,
"plan": "free",
"subscription": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endedAt": "2023-11-07T05:31:56Z",
"plan": "<string>",
"period": 123,
"cancelAtPeriodEnd": false,
"amountDue": "0",
"pendingChange": {
"plan": "base",
"period": 123,
"amount": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z"
},
"spendPermissionActive": true,
"permission": {
"permissionHash": "<string>",
"account": "<string>",
"spender": "<string>",
"token": "<string>",
"allowance": "<string>",
"period": 123,
"start": 123,
"end": 123,
"salt": "<string>",
"status": "<string>"
}
},
"referrer": {
"name": "<string>",
"email": "<string>",
"avatarUrl": "<string>"
},
"affiliatedTo": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"fullAccess": true,
"avatarUrl": "<string>",
"role": "member"
},
"pushNotificationAllowed": true,
"myIp": "<string>",
"bankRequested": {
"rails": {
"us": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"swift": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"eu": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"uae": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"br": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"mx": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"co": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"ar": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"uk": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
}
}
},
"tosTs": "2023-11-07T05:31:56Z",
"appId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get current user
Get the profile of the currently authenticated user.
curl --request GET \
--url https://api.example.com/api/v1/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"phone": "<string>",
"avatarUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contactInfo": "<string>",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"entityName": "<string>",
"birthDate": "2023-12-25",
"birthCountry": "<string>",
"country": "<string>",
"jurisdiction": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"fiatRails": [],
"isBusiness": true,
"plan": "free",
"subscription": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endedAt": "2023-11-07T05:31:56Z",
"plan": "<string>",
"period": 123,
"cancelAtPeriodEnd": false,
"amountDue": "0",
"pendingChange": {
"plan": "base",
"period": 123,
"amount": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z"
},
"spendPermissionActive": true,
"permission": {
"permissionHash": "<string>",
"account": "<string>",
"spender": "<string>",
"token": "<string>",
"allowance": "<string>",
"period": 123,
"start": 123,
"end": 123,
"salt": "<string>",
"status": "<string>"
}
},
"referrer": {
"name": "<string>",
"email": "<string>",
"avatarUrl": "<string>"
},
"affiliatedTo": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"fullAccess": true,
"avatarUrl": "<string>",
"role": "member"
},
"pushNotificationAllowed": true,
"myIp": "<string>",
"bankRequested": {
"rails": {
"us": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"swift": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"eu": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"uae": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"br": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"mx": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"co": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"ar": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
},
"uk": {
"pooled": false,
"named": false,
"requestedAt": "2023-11-07T05:31:56Z"
}
}
},
"tosTs": "2023-11-07T05:31:56Z",
"appId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
Successful Response
Schema for user response.
Address schema for user.
Canonical field names: street_address, address_line_2, city, state, country, zip. Accepts legacy Align/IBAN field names (street_line_1, street_line_2, postal_code) for backward compatibility with existing JSONB data.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Current subscription summary embedded into GET /user.
Show child attributes
Show child attributes
Lightweight info about the user who referred this user.
Show child attributes
Show child attributes
The affiliate behind this account, as seen from GET /user.
role is the affiliate's team seat on this account, or None when the
affiliate merely referred it and holds no seat — that distinction is what
separates a partner-managed company from a plain referral. full_access
mirrors the same seat: only an owner shares ownership of the account.
Show child attributes
Show child attributes
User bank-rail interest settings.
Show child attributes
Show child attributes
Was this page helpful?